Skip to main content
POST
/
agent
/
delete
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "76286489-86a8-4540-b479-b0154e474555"
}

response = client.agents.delete(**payload)
print(response)
{
  "message": "Agent deleted successfully",
  "deleted": true,
  "agent_id": "76286489-86a8-4540-b479-b0154e474555",
  "matched_count": 1,
  "modified_count": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Delete agent.

Agent Delete Request schema.

agent_id
string
required

Agent ID

Example:

"76286489-86a8-4540-b479-b0154e474555"

Response

Agent deleted

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.